org.eclipse.ease.ui.completion

## Class AbstractCompletionParser

- java.lang.Object
- - org.eclipse.ease.AbstractCodeParser
  - - org.eclipse.ease.ui.completion.AbstractCompletionParser

All Implemented Interfaces:
  ICodeParser

Direct Known Subclasses:
  JavaScriptCodeParser

    public abstract class AbstractCompletionParser
    extends AbstractCodeParser

### Field Summary

### Fields inherited from class org.eclipse.ease.AbstractCodeParser

`PARAMETER_PATTERN`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCompletionParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<Position>` `findInvocations(String call, String code)`
`static String[]` `getParameters(String call)`

### Methods inherited from class org.eclipse.ease.AbstractCodeParser

`extractKeywords, getContext, getHeaderComment, getSignatureInfo, isAcceptedBeforeHeader`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCompletionParser

    public AbstractCompletionParser()

### Method Detail

#### findInvocations

    public static List<Position> findInvocations(String call,
                                                 String code)

#### getParameters

    public static String[] getParameters(String call)